{% extends "admin/base.html" %}
{% block content %}

<div class="content container-fluid">
<div class="row">
  <div class="col-sm-8">
    <h4 class="page-title">Bills</h4>
  </div>
  <div class="col-sm-4 text-right m-b-30">
    {% if current_user.role.permissions.create_inventory == True %}<a href="{{ url_for('main.create_bill') }}" class="btn btn-primary rounded"><i class="fa fa-plus"></i> Create New Bill</a>{% endif %}
  </div>
</div>
<div class="row">
  <div class="col-md-12">
    <div class="table-responsive" id="alert">
      <table id="newtab" class="table table-striped custom-table datatable">
        <thead>

          <tr>
            <th>#</th>
            <th>Bill number</th>
            <th>Bill name</th>
            <th>Supplier id</th>
            <th>Bill Date</th>
            <th>Date due</th>
            <th>Amount</th>
            <th class="text-right">Action</th>
          </tr>
        </thead>
        <tbody id="tab">
          {% for bill in bills %}

          <tr id='del{{ bill.id }}' >
            <td>{{ loop.index }}</td>
            <td>{% if current_user.role.permissions.read_inventory == True %}<a href="{{ url_for('main.view_bill', id=bill.id) }}">{{ bill.bill_no }}</a>{% else %}{{ bill.bill_no }}{% endif %}</td>
            <td>{{ bill.bill_name}}</td>
            <td>{{ bill.supplier.supplier_name }}</td>
            <td>{{ moment(bill.date_issued).format("MMM Do YYYY") }}</td>
            <td>{{ moment(bill.date_due).format("MMM Do YYYY") }}</td>
            <td>{{ bill.amount }}</td>
            <td class="text-right">
              <div class="dropdown">
                <a href="#" class="action-icon dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="fa fa-ellipsis-v"></i></a>
                <ul class="dropdown-menu pull-right">
                  {% if current_user.role.permissions.write_inventory == True %}<li><a href="{{ url_for('main.edit_bill', id=bill.id) }}"><i class="fa fa-pencil m-r-5"></i> Edit</a></li>{% endif %}
                  {% if current_user.role.permissions.read_inventory == True %}<li><a href="{{ url_for('main.view_bill', id=bill.id) }}"><i class="fa fa-eye m-r-5"></i> View</a></li>{% endif %}
                  {% if current_user.role.permissions.delete_inventory == True %}<li><a href="#" onclick="delete_row('{{ bill.id }}','Bill', '#del{{ bill.id }}')"><i class="fa fa-trash-o m-r-5"></i> Delete</a></li>{% endif %}
                </ul>
              </div>
            </td>
          </tr>

          	{% endfor %}
       </tbody>
      </table>
    </div>
  </div>
</div>
      </div>
{% endblock %}
